## XfceMenuItemPool

XfceMenuItemPool

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

                        XfceMenuItemPoolPrivate;
                        XfceMenuItemPoolClass;
                        XfceMenuItemPool;
    XfceMenuItemPool*   xfce_menu_item_pool_new             (void);
    void                xfce_menu_item_pool_insert          (XfceMenuItemPool *pool,
                                                             XfceMenuItem *item);
    XfceMenuItem*       xfce_menu_item_pool_lookup          (XfceMenuItemPool *pool,
                                                             const gchar *desktop_id);
    void                xfce_menu_item_pool_foreach         (XfceMenuItemPool *pool,
                                                             GHFunc func,
                                                             gpointer user_data);
    void                xfce_menu_item_pool_apply_exclude_rule
                                                            (XfceMenuItemPool *pool,
                                                             XfceMenuStandardRules *rule);
    gboolean            xfce_menu_item_pool_get_empty       (XfceMenuItemPool *pool);

## Object Hierarchy

      GObject
       +----XfceMenuItemPool

## Description

## Details

### XfceMenuItemPoolPrivate

    typedef struct _XfceMenuItemPoolPrivate XfceMenuItemPoolPrivate;

### XfceMenuItemPoolClass

    typedef struct _XfceMenuItemPoolClass XfceMenuItemPoolClass;

### XfceMenuItemPool

    typedef struct _XfceMenuItemPool XfceMenuItemPool;

### xfce_menu_item_pool_new ()

    XfceMenuItemPool*   xfce_menu_item_pool_new             (void);

Returns : |

### xfce_menu_item_pool_insert ()

    void                xfce_menu_item_pool_insert          (XfceMenuItemPool *pool,
                                                             XfceMenuItem *item);

`pool` : |
`item` : |

### xfce_menu_item_pool_lookup ()

    XfceMenuItem*       xfce_menu_item_pool_lookup          (XfceMenuItemPool *pool,
                                                             const gchar *desktop_id);

`pool` : |
`desktop_id` : |
Returns : |

### xfce_menu_item_pool_foreach ()

    void                xfce_menu_item_pool_foreach         (XfceMenuItemPool *pool,
                                                             GHFunc func,
                                                             gpointer user_data);

`pool` : |
`func` : |
`user_data` : |

### xfce_menu_item_pool_apply_exclude_rule ()

    void                xfce_menu_item_pool_apply_exclude_rule
                                                            (XfceMenuItemPool *pool,
                                                             XfceMenuStandardRules *rule);

`pool` : |
`rule` : |

### xfce_menu_item_pool_get_empty ()

    gboolean            xfce_menu_item_pool_get_empty       (XfceMenuItemPool *pool);

`pool` : |
Returns : |